"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.procyonLightTheme = void 0;
const values_js_1 = __importDefault(require("values.js"));
const COLORS = {
    primary: '#737789',
    secondary: '#8DBDD3',
    positive: '#66bb6a',
    negative: '#f32c1e',
    base: '#e6e6e6',
    text: '#4d4d4d',
};
exports.procyonLightTheme = {
    palette: {
        primary: {
            main: COLORS.primary,
            light: new values_js_1.default(COLORS.primary).tint(90).rgbString(),
            dark: new values_js_1.default(COLORS.primary).shade(40).rgbString(),
        },
        secondary: {
            main: COLORS.secondary,
            light: new values_js_1.default(COLORS.secondary).tint(90).rgbString(),
            dark: new values_js_1.default(COLORS.secondary).shade(40).rgbString(),
        },
        positive: {
            main: COLORS.positive,
            light: new values_js_1.default(COLORS.positive).tint(90).rgbString(),
            dark: new values_js_1.default(COLORS.positive).shade(40).rgbString(),
        },
        negative: {
            main: COLORS.negative,
            light: new values_js_1.default(COLORS.negative).tint(90).rgbString(),
            dark: new values_js_1.default(COLORS.negative).shade(40).rgbString(),
        },
        base: {
            main: COLORS.base,
            light: new values_js_1.default(COLORS.base).tint(100).rgbString(),
            dark: new values_js_1.default(COLORS.base).shade(30).rgbString(),
        },
        text: {
            main: new values_js_1.default(COLORS.text).shade(80).rgbString(),
            light: new values_js_1.default(COLORS.text).tint(40).rgbString(),
        },
        disabled: new values_js_1.default(COLORS.base).tint(20).rgbString(),
    },
};
