import Values from 'values.js';

// https://aicolors.co
const COLORS = {
	primary: '#737789',
	secondary: '#8DBDD3',
	positive: '#66bb6a',
	negative: '#f32c1e',
	base: '#e6e6e6',
	text: '#4d4d4d',
};

// https://noeldelgado.github.io/shadowlord/
export const procyonLightTheme = {
	palette: {
		primary: {
			main: COLORS.primary,
			light: new Values(COLORS.primary).tint(90).rgbString(),
			dark: new Values(COLORS.primary).shade(40).rgbString(),
		},
		secondary: {
			main: COLORS.secondary,
			light: new Values(COLORS.secondary).tint(90).rgbString(),
			dark: new Values(COLORS.secondary).shade(40).rgbString(),
		},
		positive: {
			main: COLORS.positive,
			light: new Values(COLORS.positive).tint(90).rgbString(),
			dark: new Values(COLORS.positive).shade(40).rgbString(),
		},
		negative: {
			main: COLORS.negative,
			light: new Values(COLORS.negative).tint(90).rgbString(),
			dark: new Values(COLORS.negative).shade(40).rgbString(),
		},
		base: {
			main: COLORS.base,
			light: new Values(COLORS.base).tint(100).rgbString(),
			dark: new Values(COLORS.base).shade(30).rgbString(),
		},
		text: {
			main: new Values(COLORS.text).shade(80).rgbString(),
			light: new Values(COLORS.text).tint(40).rgbString(),
		},
		disabled: new Values(COLORS.base).tint(20).rgbString(),
	},
} as const;
